<template>
  <div class="shareLinkSocial">
    <flink
      target="_blank"
      :href="`https://vk.com/share.php?url=https://${domain}${path}`"
      class="shareLinkSocial-item">
      <img
        svg-inline
        src="~/assets/svg/redesign/social-vk.svg">
    </flink>
    <flink
      target="_blank"
      :href="`https://connect.ok.ru/offer?url=https://${domain}${path}`"
      class="shareLinkSocial-item">
      <img
        svg-inline
        src="~/assets/svg/redesign/social-ok.svg">
    </flink>
    <flink
      target="_blank"
      :href="`https://www.facebook.com/sharer/sharer.php?u=https://${domain}${path}`"
      class="shareLinkSocial-item">
      <img
        svg-inline
        src="~/assets/svg/redesign/social-fb.svg">
    </flink>
    <flink
      target="_blank"
      :href="`http://www.twitter.com/share?url=https://${domain}${path}`"
      class="shareLinkSocial-item">
      <img
        svg-inline
        src="~/assets/svg/redesign/social-twit.svg">
    </flink>
  </div>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'ShareLinkSocial',
  computed: {
    ...mapState(['domain']),
    path() {
      return this.$route.fullPath;
    },
  },
};
</script>

<style lang="postcss">
.shareLinkSocial {
  display: flex;
  align-items: center;
  justify-content: center;
  &-item {
    margin-left: 0.75rem;
  }
}
</style>
